<?php
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Z104 - odwrócona tablica</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie Z104</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Napisz program, który tworzy dwuwymiarową tablicę o wymiarach 4 x 4 i wypełnia ją liczbami pseudolosowymi z zakresu <0,1>, wyświetla tą tablicę z zachowaniem wierszy i kolumn, a następnie:</p>
    <ul>
        <li>wyświetla te wiersze tablicy w których suma liczb jest największa,</li>
        <li>tworzy "odwróconą" tablicę (ostatni wiersz pierwszej tablicy jest pierwszą kolumną drugiej i tak dalej - tablica wygląda jak obrócona w prawo o 90o), a następnie wyświetla ją na ekranie.</li>
    </ul>
    <pre>
przykład odwrócenia

0001
0010
0100
0100

tablica po odwróceniu:

0000
1100
0010
0001
    </pre>
</div>
<div class="box">
    <form method="post" action="index.php">
        <button type="submit">Rozwiąż</button>
    </form>
</div>
<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $values[] = array();
    for ($i = 0; $i < 4; $i++) {
        for ($j = 0; $j < 4; $j++) {
            $values[$i][$j] = random_int(0, 1);
        }
    }
    echo '<div class="box">';
    echo "<h2>Tablica przed odwróceniem:</h2>";
    echo '<table>';
    for ($i = 0; $i < 4; $i++) {
        echo '<tr>';
        for ($j = 0; $j < 4; $j++) {
            echo '<td>' . $values[$i][$j] . '</td>';
        }
        echo '</tr>';
    }
    echo '</table>';
    for ($i = 0; $i < 4; $i++) {
        for ($j = 0; $j < 4; $j++) {
            $values90degreesRight[$i][$j] = $values[$j][$i];
        }
        $values90degreesRight[$i] = array_reverse($values90degreesRight[$i]);
    }
    echo "<h2>Tablica po odwróceniu</h2>";
    echo '<table>';
    for ($i = 0; $i < 4; $i++) {
        echo '<tr>';
        for ($j = 0; $j < 4; $j++) {
            echo '<td>' . $values90degreesRight[$i][$j] . '</td>';
        }
        echo '</tr>';
    }
    echo '</table>';
    echo '</div>';
}
?>
</body>
</html>
